import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    int managerId = 1;

    String ORG_QUERY = "SELECT emp1.emp_id, emp1.name, emp1.manager_id, "
        + "emp1.dept_id, emp1.address_id " + "FROM EMP emp1, EMP emp2 "
        + "WHERE ((emp2.EMP_ID = ?))";

    List list = em.createNativeQuery(ORG_QUERY, Employee.class).setParameter(1, managerId)
        .getResultList();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}